//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this library; see the file COPYING.LIB.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#ifndef _KVI_GLOBAL_H_INCLUDED_
#define _KVI_GLOBAL_H_INCLUDED_

class KviGlobals{
public:
	KviGlobals();
	~KviGlobals();
public:
	QString szServerName;
	QString szServerIp;
	QString szNetworkName;
	QString szPort;
	time_t startTime;
	time_t endTime;
	QString szLocalHostIp;

	QString szNick;
	QString szUserName;
	QString szRealName;
	QString szMaskFromServer;
	QString szHostName;

	KviChanWnd *lpCurrentChan;
	KviChatWnd *lpCurrentChat;
	KviQueryWnd *lpCurrentQuery;
	QString szCurrentSelection;
	QString szCurrentNotifySelection;
public:
	void reset();
};

#endif //_KVI_GLOBAL_H_INCLUDED_
