//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//

#ifndef _KVI_MACROS_H_INCLUDED_
#define _KVI_MACROS_H_INCLUDED_
//KApplication macros
#define _macro_kviApplication ((KviApp *)(KApplication::getKApplication()))
#define _macro_kviConfig ((KConfig *)((KApplication::getKApplication())->getConfig()))
#define _macro_kviIconLoader ((KIconLoader *)((KApplication::getKApplication())->getIconLoader()))
//#define _macro_kviFrame ((KviApp *)(KApplication::getKApplication()))->m_lpFrm
//#define _macro_kviConsole ((KviApp *)(KApplication::getKApplication()))->m_lpFrm->m_lpConsole;

QString getKVIrcHomeDirectory(const char *subdir=0);
#endif //_KVI_MACROS_H_INCLUDED_
